#ifndef UKCCSESSIONSERVER_H
#define UKCCSESSIONSERVER_H

#include <QObject>
#include <QFile>
#include <QTextStream>
#include <QDir>
#include <QDebug>
#include <QVariantMap>
#include <QCoreApplication>
#include <QDBusContext>
#include <QScopedPointer>
#include <QDBusVariant>
#include <QFileSystemWatcher>
#include <QSettings>
#include <kysdk/kysdk-system/libkysysinfo.h>
#include "screenStruct.h"

class ukccSessionServer : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.ukui.ukcc.session.interface")
public:
    explicit ukccSessionServer();

private:
    QMap<QString, QVariant> getJsonInfo(const  QString &confFile);
    void monitoFileChanged();

private:
    QString mScreenMode;
    QVariantList mPreScreenCfg;
    QString mFilePath;

Q_SIGNALS:
    void configChanged();
    void screenChanged(QString status);
    void searchItemsAdd(QVariantMap addItems);
    void searchItemsDelete(QVariantMap deleteItems);

public Q_SLOTS:
    void exitService();
    void        ReloadSecurityConfig();
    QVariantMap getModuleHideStatus();
    QVariantMap getSearchItems();
    QString     GetSecurityConfigPath();
    QString getScreenMode();
    void setScreenMode(QString screenMode);
    void setPreScreenCfg(QVariantList preScreenCfg);
    QVariantList getPreScreenCfg();
};

#endif // UKCCSESSIONSERVER_H
